## org.apache.axis.deployment.wsdd.providers
Class WSDDJavaEJBProvider

    java.lang.Object
      org.apache.axis.deployment.wsdd.WSDDProvider
          org.apache.axis.deployment.wsdd.providers.WSDDJavaEJBProvider

public class WSDDJavaEJBProvider
extends WSDDProvider

A WSDD EJB provider

Author:
  Glen Daniels (gdaniels@apache.org)

Field Summary

Fields inherited from class org.apache.axis.deployment.wsdd.WSDDProvider
`log`

Constructor Summary
`WSDDJavaEJBProvider()`

Method Summary
`java.lang.String` `getName()`
`Handler` `newProviderInstance(WSDDService service, EngineConfiguration registry)`

Methods inherited from class org.apache.axis.deployment.wsdd.WSDDProvider
`getInstance, getOperation, getOperations, registerProvider`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDDJavaEJBProvider

    public WSDDJavaEJBProvider()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `WSDDProvider`

### newProviderInstance

    public Handler newProviderInstance(WSDDService service,
                                       EngineConfiguration registry)
                                throws java.lang.Exception

  Specified by:
    `newProviderInstance` in class `WSDDProvider`
  Parameters:
    `registry` - XXX
  Returns:
    XXX
  Throws:
    `java.lang.Exception` - XXX

Copyright © 2005 Apache Web Services Project. All Rights Reserved.